union.igraph.es {igraph} | R Documentation

## Union of edge sequences

### Description

Union of edge sequences

### Usage

    ## S3 method for class 'igraph.es'
    union(...)

### Arguments

`...` | The edge sequences to take the union of.

### Details

They must belong to the same graph. Note that this function has ‘set’ semantics and the multiplicity of edges is lost in the result. (This is to match the behavior of the based `unique` function.)

### Value

An edge sequence that contains all edges in the given sequences, exactly once.

### See Also

Other vertex and edge sequence operations: `c.igraph.es`, `c.igraph.vs`, `difference.igraph.es`, `difference.igraph.vs`, `igraph-es-indexing2`, `igraph-es-indexing`, `igraph-vs-indexing2`, `igraph-vs-indexing`, `intersection.igraph.es`, `intersection.igraph.vs`, `rev.igraph.es`, `rev.igraph.vs`, `union.igraph.vs`, `unique.igraph.es`, `unique.igraph.vs`

### Examples

    g <- make_(ring(10), with_vertex_(name = LETTERS[1:10]))
    union(E(g)[1:6], E(g)[5:9], E(g)['A|J'])

[Package igraph version 1.1.2 Index]